%global momorel 1

%define wikidir %{_var}/www/mediawiki

Name:           mediawiki
Version:        1.5.8
Release:        %{momorel}m
Summary:        The PHP-based wiki software behind Wikipedia

Group:          Applications/Internet
License:        GPL
URL:            http://www.mediawiki.org/
Source0:        http://dl.sourceforge.net/sourceforge/wikipedia/mediawiki-%{version}.tar.gz
NoSource: 0
Source1:	mediawiki-httpd.conf
Source2:        mediawiki-install.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       httpd
Requires:       php >= 4.1.2
Requires:	php-mysql
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre):  httpd

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and
the other Wikimedia Foundation websites. Compared to other wikis, it has a
wide range of features and support for high-traffic websites using
multiple servers.

Mathematics support is included in the package mediawiki-math.


%package math
Summary:        Mathematical formula support for MediaWiki
Group:          Applications/Internet

BuildRequires:  ocaml
Requires:	mediawiki = %{version}-%{release}
Requires:       ImageMagick tetex-latex tetex-dvips

%description math
This package includes the support for mathematical formulas in MediaWiki.


%prep
%setup -q
install -D -m 644 %{SOURCE2} ./INSTALL.momonga
rm -rf tests includes/zhtable skins/disabled
rm -f `find -name ".[ch]*"`


%build
cd math
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{wikidir}
cp -pr config extensions images includes languages $RPM_BUILD_ROOT%{wikidir}
cp -pr maintenance skins [[:lower:]]*.*  $RPM_BUILD_ROOT%{wikidir}
%{__chmod} 755 $RPM_BUILD_ROOT%{wikidir}/maintenance/*.pl

install -d $RPM_BUILD_ROOT%{wikidir}/math
install math/texvc $RPM_BUILD_ROOT%{wikidir}/math
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mediawiki.conf.dist

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc INSTALL.momonga
%doc docs

%config %{_sysconfdir}/httpd/conf.d/mediawiki.conf.dist

%dir %{wikidir}
%{wikidir}/[^cd]*[^h]
%attr(770,root,apache) %dir %{wikidir}/config
%{wikidir}/config/index.php


%files math
%defattr(-,root,root,-)
%dir %{wikidir}/math
%doc math/README math/TODO
%{wikidir}/math/texvc


%changelog
* Fri Jul 28 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.8-1m)
- import from fedora extra

* Mon Apr 03 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.8-1
- Update to upstream 1.5.8 (contains security fixes)

* Thu Mar 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.7-1
- Update to upstream 1.5.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-6
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-5
- Put internal doc files in the right directory, renaming it
  back to docs (#180177)

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-4
- Use Requires(pre) instead of PreReq (Mike McGrath)

* Thu Feb 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-3
- Refactor the %%files section (Mike McGrath)
- Replace "/etc" with macro
- Package docs under %%{_defaultdocdir}/internals
- Minor change in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-2
- Add %%defattr for -math subpackage
- Fixed typo in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-1
- Update to upstream 1.5.6

* Sun Jan 15 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-3
- Add PreReq for httpd, since we use the apache user
- Make mediawiki-math dependencies more specific
- Package documentation for mediawiki-math

* Sat Jan 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-2
- Separate math support into a subpackage

* Thu Jan 12 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-1
- Initial packaging
